Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.impl
Class TM4JRatingImpl

    java.lang.Object
      de.uka.ipd.consensus.impl.TM4JObjectWrapper
          de.uka.ipd.consensus.impl.TM4JRatingImpl

All Implemented Interfaces:
  Commentatable, Comparable, Createable, Rating, Serializable, Versionable

Deprecated. slow... SQLRatingImpl is used instead

public class TM4JRatingImpl
extends TM4JObjectWrapper
implements Rating

TODO

Version:
  2006-06-14
Author:
  Thomas Much
See Also:
  Serialized Form

Field Summary

Fields inherited from interface de.uka.ipd.consensus.foundation.schema.Rating
`NEUTRAL, NO, YES`

Constructor Summary
`TM4JRatingImpl(OntologyManagerImpl omi, org.tm4j.topicmap.TopicMapObject tmObject)` Deprecated.

Method Summary
`int` | `compareTo(Object o)` Deprecated.
`String` | `getComment()` Deprecated. Returns the comment of the element.
`User` | `getCreator()` Deprecated. Returns the user that created this element.
`Collection` | `getHistory()` Deprecated. Returns a collection of Rating objects that contain all older values for this rating (i.e. the rating for this element from the creator of the rating).
`Rateable` | `getRateable()` Deprecated. Returns the rated element.
`Version` | `getRatedVersion()` Deprecated. Returns the version of the rated element.
`double` | `getValue()` Deprecated. Returns the rating's value from -1.0 to 1.0 (including both values).
`Version` | `getVersion()` Deprecated. Returns the version of the versionable element.
`protected org.tm4j.topicmap.Topic` | `getWrappedTopic()` Deprecated.
`protected void` | `initValue(double value)` Deprecated.
`boolean` | `isHistorical()` Deprecated. Checks if this rating is historic, i.e. if it contains older values than the element's current rating.
`void` | `setComment(User setter, String comment)` Deprecated. Changes the element's comment.
`void` | `setValue(double value)` Deprecated. Changes the rating's value and adds the old values to the history.
`String` | `toString()` Deprecated.

Methods inherited from class de.uka.ipd.consensus.impl.TM4JObjectWrapper
`equals, getCache, getLoggingManager, getObjectId, getOccurrence, getOntologyManager, getWrappedObject, hashCode, putCache, wrap, wrap, wrap, wrap, wrap, wrap, wrap`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TM4JRatingImpl

    public TM4JRatingImpl(OntologyManagerImpl omi,
                          org.tm4j.topicmap.TopicMapObject tmObject)

  Deprecated.

Method Detail

### getWrappedTopic

    protected org.tm4j.topicmap.Topic getWrappedTopic()

  Deprecated.

### getValue

    public double getValue()

  Deprecated.
  Description copied from interface: `Rating`
  Returns the rating's value from -1.0 to 1.0 (including both values).

  Specified by:
    `getValue` in interface `Rating`
  Returns:
    the rating's value
  See Also:
    `Rating.setValue(double)`

### initValue

    protected void initValue(double value)
                      throws Exception

  Deprecated.
  Throws:
    `Exception`

### setValue

    public void setValue(double value)

  Deprecated.
  Description copied from interface: `Rating`
  Changes the rating's value and adds the old values to the history. If this is a historic rating, changing its value has no effect.

  Specified by:
    `setValue` in interface `Rating`
  Parameters:
    `value` - the new value from -1.0 to 1.0 (including both values)
  See Also:
    `Rating.getValue()`, `Rating.getHistory()`, `Rating.isHistorical()`

### getRateable

    public Rateable getRateable()

  Deprecated.
  Description copied from interface: `Rating`
  Returns the rated element. This can be only a concept (topic, association, attribute) or a user. However, if you want to retrieve an association wrapper like `Synonym`, `SuperSubclass` or `TypeInstance` (which are Rateable, too), use `OntologyManager.checkInternalRateable()` to convert the returned association into one of these wrappers.

  Specified by:
    `getRateable` in interface `Rating`
  Returns:
    the rated element
  See Also:
    `OntologyManager.checkInternalRateable(Rateable)`

### getCreator

    public User getCreator()

  Deprecated.
  Description copied from interface: `Createable`
  Returns the user that created this element.

  Specified by:
    `getCreator` in interface `Createable`
  Returns:
    the User object

### getVersion

    public Version getVersion()

  Deprecated.
  Description copied from interface: `Versionable`
  Returns the version of the versionable element.

  Specified by:
    `getVersion` in interface `Versionable`
  Returns:
    the Version object or `null` if no version information is available

### getComment

    public String getComment()

  Deprecated.
  Description copied from interface: `Commentatable`
  Returns the comment of the element.

  Specified by:
    `getComment` in interface `Commentatable`
  Returns:
    the comment (may be the empty string, but never `null`)

### setComment

    public void setComment(User setter,
                           String comment)
                    throws OntologyManagerException,
                           DynamicRightsManagerException

  Deprecated.
  Description copied from interface: `Commentatable`
  Changes the element's comment.

  Specified by:
    `setComment` in interface `Commentatable`
  Parameters:
    `setter` - the user who wants to change the comment
    `comment` - the new comment (`null` is treated as an empty string)
  Throws:
    `DynamicRightsManagerException` - if the user is not allowed to change the comment
    `OntologyManagerException` - if the comment could not be changed
  See Also:
    `DynamicRightsManager.mayChangeConceptComment(User, Concept)`, `DynamicRightsManager.mayChangeUserComment(User, User)`

### getRatedVersion

    public Version getRatedVersion()

  Deprecated.
  Description copied from interface: `Rating`
  Returns the version of the rated element. This is the element's version at the time when the rating was assigned to the element, not necessarily the element's current version.

  Specified by:
    `getRatedVersion` in interface `Rating`
  Returns:
    the version of the rated element, may be `null` if no version information is available

### getHistory

    public Collection getHistory()

  Deprecated.
  Description copied from interface: `Rating`
  Returns a collection of Rating objects that contain all older values for this rating (i.e. the rating for this element from the creator of the rating). If this rating is a historical rating itself or if the RatingManager does not support rating histories, an empty collection is returned.

  Specified by:
    `getHistory` in interface `Rating`
  Returns:
    a possibly empty collection, never `null`
  See Also:
    `Rating.isHistorical()`

### isHistorical

    public boolean isHistorical()

  Deprecated.
  Description copied from interface: `Rating`
  Checks if this rating is historic, i.e. if it contains older values than the element's current rating. Historic ratings are read-only.

  Specified by:
    `isHistorical` in interface `Rating`
  Returns:
    `true` if this rating belongs to the rating history, `false` if it is a current rating
  See Also:
    `Rating.getHistory()`, `Rating.setValue(double)`, `Commentatable.setComment(User, String)`

### compareTo

    public int compareTo(Object o)

  Deprecated.
  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD